Get all purchase orders
https://api.propexo.com/v1/purchase-orders/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The Propexo unique identifier for the property
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the purchase order
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| vendors/getPurchaseOrders |
po12345The external ID of the property from the integration vendor
| Method |
|---|
| vendors/getPurchaseOrders |
property789The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for ENTRATA
nullThe external ID of the invoice from the integration vendor
This field will always be null for ENTRATA
nullThe external ID of the vendor from the integration vendor
| Method |
|---|
| vendors/getPurchaseOrders |
vendor456The external ID of the purchase order from the integration vendor. This field is not null if this is a change order
This field will always be null for ENTRATA
nullThe number of the purchase order
| Method |
|---|
| vendors/getPurchaseOrders |
po12345Whether the purchase order is closed or not
This field will always be null for ENTRATA
nullDescription of the purchase order
| Method |
|---|
| vendors/getPurchaseOrders |
Purchase order for construction materialsThe amount of the purchase order, in cents
| Method |
|---|
| vendors/getPurchaseOrders |
1500000The order date for the purchase order
| Method |
|---|
| vendors/getPurchaseOrders |
2024-06-18T00:00:00.000ZThe expense type of the purchase order
This field will always be null for ENTRATA
nullThe display type of the purchase order
This field will always be null for ENTRATA
nullThe raw status associated with the purchase order
This field will always be null for ENTRATA
nullThe first address line associated with the shipping address for the purchase order
This field will always be null for ENTRATA
nullThe second address line associated with the shipping address for the purchase order
This field will always be null for ENTRATA
nullThe city associated with the shipping address for the purchase order
This field will always be null for ENTRATA
nullThe state associated with the shipping address for the purchase order
This field will always be null for ENTRATA
nullThe zip code associated with the shipping address for the purchase order
This field will always be null for ENTRATA
nullThe country associated with the shipping address for the purchase order
This field will always be null for ENTRATA
nullThe first address line associated with the billing address for the purchase order
This field will always be null for ENTRATA
nullThe second address line associated with the billing address for the purchase order
This field will always be null for ENTRATA
nullThe city associated with the billing address for the purchase order
This field will always be null for ENTRATA
nullThe state associated with the billing address for the purchase order
This field will always be null for ENTRATA
nullThe zip code associated with the billing address for the purchase order
This field will always be null for ENTRATA
nullThe country associated with the billing address for the purchase order
This field will always be null for ENTRATA
nullcustom_data object | nullrequired
An array of all other invoices associated with a purchase order. This includes invoices that associated with specific purchase order items.
This field is not currently hydrated for ENTRATA
The Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
ENTRATAAPPFOLIOBUILDIUMMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTENTRATAThe Propexo unique identifier for the invoice
This field will always be null for ENTRATA
nullThe Propexo unique identifier for the vendor
| Method |
|---|
| vendors/getPurchaseOrders |
cmfcuydxd7372673896wfaaqroj66skThe Propexo unique identifier for the purchase order. This field is not null if this is a change order
This field will always be null for ENTRATA
nullErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/purchase-orders/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "po12345",
"x_property_id": "property789",
"x_location_id": null,
"x_invoice_id": null,
"x_vendor_id": "vendor456",
"x_parent_purchase_order_id": null,
"number": "po12345",
"is_closed": null,
"description": "Purchase order for construction materials",
"total_amount_in_cents": 1500000,
"order_date": "2024-06-18T00:00:00.000Z",
"expense_type": null,
"display_type": null,
"status_raw": null,
"shipping_address_1": null,
"shipping_address_2": null,
"shipping_city": null,
"shipping_state": null,
"shipping_zip": null,
"shipping_country": null,
"billing_address_1": null,
"billing_address_2": null,
"billing_city": null,
"billing_state": null,
"billing_zip": null,
"billing_country": null,
"custom_data": "Unknown Type: object,null",
"associated_invoice_ids": [
"string"
],
"property_id": "clwi5xiix000008l6ctdgafyh",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "ENTRATA",
"invoice_id": null,
"vendor_id": "cmfcuydxd7372673896wfaaqroj66sk",
"parent_purchase_order_id": null
}
]
}